Subject: Re: [PATCH] powerpc/boot: remove unused min_t/max_t macros

From: Thorsten Blum <[email-masked]>
Date: Fri, 29 May 2026 11:45:37 +0200

Hi Christophe,

On Fri, May 29, 2026 at 11:10:20AM +0200, Christophe Leroy (CS GROUP) wrote:
> 
> 
> Le 25/05/2026 à 11:18, Thorsten Blum a écrit :
> > The min_t() and max_t() macros are no longer used by the boot wrapper,
> > remove them.
> 
> Did you test your change ?

Yes, but with Gzip and not with XZ, and by grepping for min_t/max_t in
arch/powerpc/boot/. I (wrongly) assumed that arch/powerpc/boot/ is
self-contained.

Thanks for catching this, and please drop this patch for now as I wasn't
aware of the dependency to lib/xz/.

Thorsten